Package: org.apache.groovy.groovysh

## [Groovy] Class Main.ExtraConsoleCommands

- org.apache.groovy.groovysh.Main.ExtraConsoleCommands

- All Implemented Interfaces and Traits:
    org.jline.console.CommandRegistry

      @SuppressWarnings(value: resource)
      protected static class Main.ExtraConsoleCommands
      extends org.jline.console.impl.JlineCommandRegistry
      implements org.jline.console.CommandRegistry

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ExtraConsoleCommands(Path workDir, GroovyEngine scriptEngine, org.jline.reader.LineReader reader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Path` | `currentDir()`
    `` | `String` | `name()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.jline.console.impl.JlineCommandRegistry` | `org.jline.console.impl.JlineCommandRegistry#alias(java.lang.String, java.lang.String), org.jline.console.impl.JlineCommandRegistry#commandAliases(), org.jline.console.impl.JlineCommandRegistry#commandDescription(java.util.List), org.jline.console.impl.JlineCommandRegistry#commandInfo(java.lang.String), org.jline.console.impl.JlineCommandRegistry#commandNames(), org.jline.console.impl.JlineCommandRegistry#commandOptions(java.lang.String), org.jline.console.impl.JlineCommandRegistry#compileCommandDescription(java.lang.String), org.jline.console.impl.JlineCommandRegistry#compileCommandInfo(java.lang.String), org.jline.console.impl.JlineCommandRegistry#compileCommandOptions(java.lang.String), org.jline.console.impl.JlineCommandRegistry#compileCompleters(), org.jline.console.impl.JlineCommandRegistry#defaultCompleter(java.lang.String), org.jline.console.impl.JlineCommandRegistry#doHelpDesc(java.lang.String, java.util.List, org.jline.console.CmdDesc), org.jline.console.impl.JlineCommandRegistry#equals(java.lang.Object), org.jline.console.impl.JlineCommandRegistry#getClass(), org.jline.console.impl.JlineCommandRegistry#getCommandMethods(java.lang.String), org.jline.console.impl.JlineCommandRegistry#hasCommand(java.lang.String), org.jline.console.impl.JlineCommandRegistry#hashCode(), org.jline.console.impl.JlineCommandRegistry#invoke(org.jline.console.CommandRegistry$CommandSession, java.lang.String, [Ljava.lang.Object;), org.jline.console.impl.JlineCommandRegistry#name(), org.jline.console.impl.JlineCommandRegistry#notify(), org.jline.console.impl.JlineCommandRegistry#notifyAll(), org.jline.console.impl.JlineCommandRegistry#parseOptions([Ljava.lang.String;, [Ljava.lang.Object;), org.jline.console.impl.JlineCommandRegistry#registerCommands(java.util.Map), org.jline.console.impl.JlineCommandRegistry#registerCommands(java.util.Map, java.util.Map), org.jline.console.impl.JlineCommandRegistry#registeredCommand(java.lang.String), org.jline.console.impl.JlineCommandRegistry#rename(java.lang.Enum, java.lang.String), org.jline.console.impl.JlineCommandRegistry#saveException(java.lang.Exception), org.jline.console.impl.JlineCommandRegistry#toString(), org.jline.console.impl.JlineCommandRegistry#wait(), org.jline.console.impl.JlineCommandRegistry#wait(long), org.jline.console.impl.JlineCommandRegistry#wait(long, int)`

- - ### Constructor Detail

    - #### ExtraConsoleCommands(Path workDir, GroovyEngine scriptEngine, org.jline.reader.LineReader reader)

  - ### Method Detail

    - #### Path currentDir()

    - #### @Override
      String name()